Login | Register
My pages Projects Community openCollabNet

Discussions > announce > [Subclipse-Announce] Subversion 1.6.0 released -- Subclipse support available

subclipse
Discussion topic

Back to topic list

[Subclipse-Announce] Subversion 1.6.0 released -- Subclipse support available

Author markphip
Full name Mark Phippard
Date 2009-03-21 09:40:12 PDT
Message Subversion 1.6.0 was released yesterday. We have been supporting this
since it entered release candidate phase via the Subclipse 1.6.x
releases (currently 1.6.2). You can install this version via the
Subclipse 1.6.x update site URL:

http://subclipse.tig​ris.org/update_1.6.x​

I updated the Windows JavaHL binaries to the official 1.6.0 release yesterday.

This is an official stable release of Subclipse and includes support
for Subversion 1.6.0 features such as tree conflicts. Subclipse has
led the way in creating graphical support for resolving tree conflicts
and we are sharing what we did with other projects to help accelerate
their support for the same features.

Subclipse 1.6.x requires a Subversion 1.6.0 version of the JavaHL
library. It does not currently include support for SVNKit. We will
add that support when SVNKit starts producing releases with support
for the changes in 1.6.0.

As with previous releases, Subversion 1.6.0 will upgrade the format of
your working copy. So if you use multiple Subversion clients on the
same working copy you should upgrade them all together.

I will continue to maintain support for the Subclipse 1.4.x releases
for a while for those that need to remain with a Subversion 1.5.x
client. However, given that both versions of Subclipse support
Eclipse 3.2 and higher, we will eventually stop producing new releases
in the 1.4.x stream.

For those of you that use the CollabNet Desktop for its graphical
merge client, there is a 1.8.0 release available that includes the
latest Subclipse release. You will need to use the "dev-builds"
update site URL until we have qualified this release and pushed it to
the official download area. You can get those URL's here:

http://desktop-eclip​se.open.collab.net/s​ervlets/ProjectProce​ss?pageID=3794

The CollabNet Desktop only supports Eclipse 3.3 and higher.

--
Thanks

Mark Phippard
http://markphip.blogspot.com/

« Previous message in topic | 1 of 2 | Next message in topic »

Messages

Show all messages in topic

[Subclipse-Announce] Subversion 1.6.0 released -- Subclipse support available markphip Mark Phippard 2009-03-21 09:40:12 PDT
     RE: [Subclipse-Announce] Subversion 1.6.0 released -- Subclipse support available geff_chang geff chang 2009-03-25 09:13:44 PDT
Messages per page: